<?php
namespace Elementor;

class shortsingle extends Widget_Base {
	
	public function get_name() {
		return 'shortsingle';
	}
	
	public function get_title() {
		return 'توضیحات کوتاه';
	}
	
 public function get_icon() {
		return 'eicon eicon-product-description';
    }
    
    public function get_categories() {
        return [ 'farnamproduct' ];
    }

	
	protected function register_controls() {


		
  $this->start_controls_section(
            'farnam_product_style_2',
            [
                'label' => esc_html__( 'تنظیمات استایل و ظاهر', 'woolentor' ),
            ]
        );


		    $this->add_control(
'sepidcolor-2',
			[
				'label' => __( 'رنگ متن', 'plugin-domain' ),
				'type' => Controls_Manager::COLOR,
			
				'selectors' => [
					'{{WRAPPER}} .dc-short-single-product' => 'color: {{VALUE}} !important',
				],
			]
           );
	
		$this->end_controls_section();
		
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
defined( 'ABSPATH' ) || exit;

global $product;


				?>
				<div class="dc-short-single-product">
<?php echo do_shortcode("[custom_product_descriptionsingle]"); ?></div>
		<?php


	}


	
	protected function _content_template() {

    }
	
	
}